- Qt 5.15
- Qt Multimedia
- C++ Classes
- QCameraCaptureDestinationControl
- Qt 5.15.11 Reference Documentation

# QCameraCaptureDestinationControl Class

The QCameraCaptureDestinationControl class provides a control for setting capture destination. More...

Header: | #include <QCameraCaptureDestinationControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraCaptureDestinationControl()
virtual QCameraImageCapture::CaptureDestinations | captureDestination() const = 0
virtual bool | isCaptureDestinationSupported(QCameraImageCapture::CaptureDestinations destination) const = 0
virtual void | setCaptureDestination(QCameraImageCapture::CaptureDestinations destination) = 0

## Signals

void | captureDestinationChanged(QCameraImageCapture::CaptureDestinations destination)

## Protected Functions

| QCameraCaptureDestinationControl(QObject *parent = nullptr)

## Macros

| QCameraCaptureDestinationControl_iid

## Detailed Description

Depending on backend capabilities capture to file, buffer or both can be supported.

The interface name of QCameraCaptureDestinationControl is `org.qt-project.qt.cameracapturedestinationcontrol/5.0` as defined in QCameraCaptureDestinationControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QCameraCaptureDestinationControl::QCameraCaptureDestinationControl(QObject *parent = nullptr)

Constructs a new image capture destination control object with the given parent

### `[signal]` void QCameraCaptureDestinationControl::captureDestinationChanged(QCameraImageCapture::CaptureDestinations destination)

Signals the image capture destination changed.

### `[virtual]` QCameraCaptureDestinationControl::~QCameraCaptureDestinationControl()

Destroys an image capture destination control.

### `[pure virtual]` QCameraImageCapture::CaptureDestinations QCameraCaptureDestinationControl::captureDestination() const

Returns the current capture destination. The default destination is QCameraImageCapture::CaptureToFile.

See also setCaptureDestination().

### `[pure virtual]` bool QCameraCaptureDestinationControl::isCaptureDestinationSupported(QCameraImageCapture::CaptureDestinations destination) const

Returns true if the capture destination is supported; and false if it is not.

### `[pure virtual]` void QCameraCaptureDestinationControl::setCaptureDestination(QCameraImageCapture::CaptureDestinations destination)

Sets the capture destination.

See also captureDestination().

## Macro Documentation

### QCameraCaptureDestinationControl_iid

`org.qt-project.qt.cameracapturedestinationcontrol/5.0`

Defines the interface name of the QCameraCaptureDestinationControl class.